Clients
Clients of collection agencies and law firms.
GET
/api/v1/clientsFor collection agencies and law firms: principals on whose behalf debts are collected. Alphabetical.
Permission: clients:read
Query parameters
limitintegerNumber of entries (1–100)1–100 · Default: 25cursorstring`nextCursor` of the previous pagemax. 500 characters
Response 200
object"list"requireddataArray<Client>requiredidstringrequiredobject"client"requirednamestringrequiredlegalFormstringrequiredrepresentedBystringrequiredclientNumberstringrequiredstreetstringrequiredzipCodestringrequiredcitystringrequiredcountrystringrequiredemailstringrequiredphonestringrequiredibanstringrequiredbicstringrequiredbankNamestringrequiredvatDeductiblebooleanrequiredEntitled to deduct input VATnotesstringrequireddebtCountintegerrequired-9007199254740991–9007199254740991openDebtCountintegerrequired-9007199254740991–9007199254740991createdAtstring (date-time)requiredTimestamp (ISO 8601)updatedAtstring (date-time)requiredTimestamp (ISO 8601)
hasMorebooleanrequirednextCursorstring | nullrequired
curl 'https://www.debt-flow.io/api/v1/clients' \
-H "Authorization: Bearer $DEBTFLOW_API_KEY"Response 200
{
"object": "list",
"data": [
{
"id": "string",
"object": "client",
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "string",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string",
"debtCount": 0,
"openDebtCount": 0,
"createdAt": "2026-11-01T09:30:00.000Z",
"updatedAt": "2026-11-01T09:30:00.000Z"
}
],
"hasMore": false,
"nextCursor": "string"
}POST
/api/v1/clientsPermission: clients:write
Headers
Idempotency-KeystringUnique key (8–255 characters). Repeated requests with the same key return the same response for 24 h.max. 255 characters
Body (JSON) · ClientCreate
namestringrequiredmax. 200 characterslegalFormstringmax. 60 charactersrepresentedBystringmax. 200 charactersclientNumberstringmax. 60 charactersstreetstringmax. 160 characterszipCodestringmax. 10 characterscitystringmax. 80 characterscountrystringmax. 60 charactersemailstring (email) | ""phonestringmax. 40 charactersibanstringmax. 42 charactersbicstringmax. 11 charactersbankNamestringmax. 80 charactersvatDeductiblebooleannotesstringmax. 5000 characters
Response 201 · Client
idstringrequiredobject"client"requirednamestringrequiredlegalFormstringrequiredrepresentedBystringrequiredclientNumberstringrequiredstreetstringrequiredzipCodestringrequiredcitystringrequiredcountrystringrequiredemailstringrequiredphonestringrequiredibanstringrequiredbicstringrequiredbankNamestringrequiredvatDeductiblebooleanrequiredEntitled to deduct input VATnotesstringrequireddebtCountintegerrequired-9007199254740991–9007199254740991openDebtCountintegerrequired-9007199254740991–9007199254740991createdAtstring (date-time)requiredTimestamp (ISO 8601)updatedAtstring (date-time)requiredTimestamp (ISO 8601)
curl -X POST 'https://www.debt-flow.io/api/v1/clients' \
-H "Authorization: Bearer $DEBTFLOW_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "[email protected]",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string"
}'Response 201
{
"id": "string",
"object": "client",
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "string",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string",
"debtCount": 0,
"openDebtCount": 0,
"createdAt": "2026-11-01T09:30:00.000Z",
"updatedAt": "2026-11-01T09:30:00.000Z"
}GET
/api/v1/clients/{id}The client's debts: GET /debts?clientId=….
Permission: clients:read
Path parameters
idstringrequiredResource IDmax. 128 characters
Response 200 · Client
idstringrequiredobject"client"requirednamestringrequiredlegalFormstringrequiredrepresentedBystringrequiredclientNumberstringrequiredstreetstringrequiredzipCodestringrequiredcitystringrequiredcountrystringrequiredemailstringrequiredphonestringrequiredibanstringrequiredbicstringrequiredbankNamestringrequiredvatDeductiblebooleanrequiredEntitled to deduct input VATnotesstringrequireddebtCountintegerrequired-9007199254740991–9007199254740991openDebtCountintegerrequired-9007199254740991–9007199254740991createdAtstring (date-time)requiredTimestamp (ISO 8601)updatedAtstring (date-time)requiredTimestamp (ISO 8601)
curl 'https://www.debt-flow.io/api/v1/clients/ID' \
-H "Authorization: Bearer $DEBTFLOW_API_KEY"Response 200
{
"id": "string",
"object": "client",
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "string",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string",
"debtCount": 0,
"openDebtCount": 0,
"createdAt": "2026-11-01T09:30:00.000Z",
"updatedAt": "2026-11-01T09:30:00.000Z"
}PATCH
/api/v1/clients/{id}Permission: clients:write
Path parameters
idstringrequiredResource IDmax. 128 characters
Body (JSON) · ClientUpdate
namestringmax. 200 characterslegalFormstringmax. 60 charactersrepresentedBystringmax. 200 charactersclientNumberstringmax. 60 charactersstreetstringmax. 160 characterszipCodestringmax. 10 characterscitystringmax. 80 characterscountrystringmax. 60 charactersemailstring (email) | ""phonestringmax. 40 charactersibanstringmax. 42 charactersbicstringmax. 11 charactersbankNamestringmax. 80 charactersvatDeductiblebooleannotesstringmax. 5000 characters
Response 200 · Client
idstringrequiredobject"client"requirednamestringrequiredlegalFormstringrequiredrepresentedBystringrequiredclientNumberstringrequiredstreetstringrequiredzipCodestringrequiredcitystringrequiredcountrystringrequiredemailstringrequiredphonestringrequiredibanstringrequiredbicstringrequiredbankNamestringrequiredvatDeductiblebooleanrequiredEntitled to deduct input VATnotesstringrequireddebtCountintegerrequired-9007199254740991–9007199254740991openDebtCountintegerrequired-9007199254740991–9007199254740991createdAtstring (date-time)requiredTimestamp (ISO 8601)updatedAtstring (date-time)requiredTimestamp (ISO 8601)
curl -X PATCH 'https://www.debt-flow.io/api/v1/clients/ID' \
-H "Authorization: Bearer $DEBTFLOW_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "[email protected]",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string"
}'Response 200
{
"id": "string",
"object": "client",
"name": "string",
"legalForm": "string",
"representedBy": "string",
"clientNumber": "string",
"street": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"email": "string",
"phone": "string",
"iban": "string",
"bic": "string",
"bankName": "string",
"vatDeductible": false,
"notes": "string",
"debtCount": 0,
"openDebtCount": 0,
"createdAt": "2026-11-01T09:30:00.000Z",
"updatedAt": "2026-11-01T09:30:00.000Z"
}DELETE
/api/v1/clients/{id}Only possible if no debts are assigned (otherwise 409 in_use).
Permission: clients:write
Path parameters
idstringrequiredResource IDmax. 128 characters
Response 204
Success, no content
curl -X DELETE 'https://www.debt-flow.io/api/v1/clients/ID' \
-H "Authorization: Bearer $DEBTFLOW_API_KEY"